#include <iostream>
using namespace std;
int main() 
{
	int n, b ,g;
	int t;
	cin >> t;
	string a[10];
	for(int j = 0; j < t; j++){
		cin >> n >> b >> g;
		string rez = "Nie";
		for(int i = 1; i < n - 1; i++)
		{
			if((i * (i + 1) / 2) + ((n - i) * ((n - i) + 1) / 2) < b)
			{
				rez = "Tak";
				break;
			}
		}
		a[j] = rez;
	}
	for(int i = 0; i < 10; i++)
	{
		if(a[i] != "")
		cout << a[i] << endl;
	}
	
	return 0;
}